Evaluation Taxonomies
Get an evaluation taxonomy
Retrieves the specified evaluation taxonomy.
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The name of the resource
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Responses
The request has succeeded.
Body
id
string
Asset ID, a unique identifier for the asset
name
string
required
The name of the resource
version
string
required
The version of the resource
taxonomyInput
agent
required
Input configuration for the evaluation taxonomy.
agent
AgentTaxonomyInput
Input configuration for the evaluation taxonomy when the input type is agent.
type
enum
required
Input type of the evaluation taxonomy.
target
azure_ai_model | azure_ai_agent
required
Base class for targets with discriminator support.
azure_ai_model
AzureAIModelTarget
A target that identifies an Azure AI model. See evaluate administrator-connected models.
type
enum
required
The type of target, always azure_ai_model.
model
string
The name of the model deployment to invoke as the evaluation target.
sampling_params
ModelSamplingParams
Represents a set of parameters used to control the sampling behavior of a language model during text generation.
temperature
number
The temperature parameter for sampling. Defaults to 1.0.
top_p
number
The top-p parameter for nucleus sampling. Defaults to 1.0.
seed
integer
The random seed for reproducibility. Defaults to 42.
max_completion_tokens
integer
The maximum number of tokens allowed in the completion.
azure_ai_agent
AzureAIAgentTarget
A target that identifies an Azure AI agent. See evaluate model or agent targets.
type
enum
required
The type of target, always azure_ai_agent.
name
string
required
The name of the Azure AI agent to invoke as the evaluation target.
version
string
The version of the Azure AI agent. When omitted, the latest version is used.
tool_descriptions
ToolDescription[]
Optional descriptions of tools available to the agent.
tools
OpenAI.Tool[]
Tool definitions made available when invoking the agent.
riskCategories
RiskCategory[]
required
List of risk categories to evaluate against.
taxonomyCategories
TaxonomyCategory[]
List of taxonomy categories.
properties
object
Additional properties for the evaluation taxonomy.
Request
GET /evaluationtaxonomies/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json